
package com.tmerclub.cloud.user.bo;

import com.tmerclub.cloud.user.model.UserScoreGetLog;
import com.tmerclub.cloud.user.model.UserScoreLog;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 用户积分日志、积分明细
 *
 * @author cl
 * @date 2021-06-17 17:46:07
 */
public class UserScoreChangeLogBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "用户积分日志集合")
    private List<UserScoreLog> userScoreLogs;

    @Schema(description = "用户积分明细集合-保存")
    private List<UserScoreGetLog> saveUserScoreGetLogs;

    @Schema(description = "用户积分明细集合-修改")
    private List<UserScoreGetLog> updateUserScoreGetLogs;

    public List<UserScoreLog> getUserScoreLogs() {
        return userScoreLogs;
    }

    public void setUserScoreLogs(List<UserScoreLog> userScoreLogs) {
        this.userScoreLogs = userScoreLogs;
    }

    public List<UserScoreGetLog> getSaveUserScoreGetLogs() {
        return saveUserScoreGetLogs;
    }

    public void setSaveUserScoreGetLogs(List<UserScoreGetLog> saveUserScoreGetLogs) {
        this.saveUserScoreGetLogs = saveUserScoreGetLogs;
    }

    public List<UserScoreGetLog> getUpdateUserScoreGetLogs() {
        return updateUserScoreGetLogs;
    }

    public void setUpdateUserScoreGetLogs(List<UserScoreGetLog> updateUserScoreGetLogs) {
        this.updateUserScoreGetLogs = updateUserScoreGetLogs;
    }

    @Override
    public String toString() {
        return "UserScoreChangeLogBO{" +
                "userScoreLogs=" + userScoreLogs +
                ", saveUserScoreGetLogs=" + saveUserScoreGetLogs +
                ", updateUserScoreGetLogs=" + updateUserScoreGetLogs +
                '}';
    }
}
